Name:           ragel
Version:        6.3
Release:        %mkrel 1
Summary:        Finite state machine compiler

Group:          Development/Other
License:        GPLv2+
URL:            http://www.cs.queensu.ca/~thurston/ragel/
Source0:        http://www.cs.queensu.ca/~thurston/ragel/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  transfig, tetex-latex

Patch0:         ragel-Makefile-install.patch

%description
Ragel compiles finite state machines from regular languages into executable C,
C++, Objective-C, D, Java or Ruby code.

Ragel state machines can not only recognize byte sequences as regular
expression machines do, but can also execute code at arbitrary points in the
recognition of a regular language.

Code embedding is done using inline operators that do not disrupt the regular
language syntax.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make
pushd doc
%make
popd


%install
rm -rf %{buildroot}
%makeinstall
chmod a-x examples/*
pushd doc
%makeinstall
popd

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING ragel.vim
%doc examples
%doc doc/ragel-guide.pdf
%{_bindir}/rlgen-ruby
%{_bindir}/rlgen-java
%{_bindir}/rlgen-dot
%{_bindir}/rlgen-cd
%{_bindir}/rlgen-csharp
%{_bindir}/ragel
%{_mandir}/*/*



%changelog
* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 6.3-1mdv2009.0
+ Revision: 280641
- New release

  + Pascal Terjan <pterjan@mandriva.org>
    - Update description to list Java and Ruby

* Sat Aug 02 2008 Pascal Terjan <pterjan@mandriva.org> 6.2-1mdv2009.0
+ Revision: 260694
- import ragel


* Sat Aug 02 2008 Pascal Terjan <pterjan@mandriva.org> 6.2-1mdv2009.0
- adapt for Mandriva

* Mon May 12 2008 Jeremy Hinegardner <jeremy at hinegardner dot org> - 6.2-1
- update to 6.2

* Mon Apr 14 2008 Jeremy Hinegardner <jeremy at hinegardner dot org> - 6.1-1
- update to 6.1

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 6.0-2
- Autorebuild for GCC 4.3

* Sat Jan 19 2008 Jeremy Hinegardner <jeremy at hinegardner dot org> - 6.0-1
- update to 6.0

* Sun Jan 06 2008 Jeremy Hinegardner <jeremy at hinegardner dot org> - 5.25-1
- update to 5.25

* Tue Sep 18 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 5.24-1
- update to 5.24
- update License tag

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 5.23-2
- Rebuild for selinux ppc32 issue.

* Tue Jul 24 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 5.23-1
- update to 5.23
- removed ragel-rlcodegen-replace.patch - it was applied upstream

* Mon Jun 18 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 5.22-1
- update to 5.22
- remove ragel-Makefile-in.patch - it was applied upstream
- update ragel-rlcodegen-replace.patch to apply cleanly

* Sat Mar 24 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 5.19-4
- further replacement of rlcodegen
- rework patches

* Fri Mar 23 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 5.19-3
- replace RPM_BUILD_ROOT in spec file with buildroot macro
- cleanup rpmlint errors for the src.rpm
- add ragel(1) man page patch

* Tue Mar 20 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 5.19-1
- Creation of spec file
